## Function(treeId, treeNode)setting.callback.beforeExpand

### Overview[ depends on jquery.ztree.core js ]

Specify callback function to be called before expanding a node, The return value controls the expand node callback.

Default: null

### Function Parameter Descriptions

#### treeId String

zTree unique identifier: treeId.

#### treeNode JSON

JSON data object of the node to be expanded

#### Return Boolean

return true or false

If return false, zTree will not expand node, and will not trigger the 'onExpand' callback.

### Examples of setting & function

#### 1. disables expanding of all nodes

    function myBeforeExpand(treeId, treeNode) {
        return false;
    };
    var setting = {
    	callback: {
    		beforeExpand: myBeforeExpand
    	}
    };
    ......